package com.fp.persistence.parmas.dto.ws;

import java.io.Serializable;

/**
 * DTO que transportar&aacute; los datos del arma
 * @author dcruz
 *
 */
public class ArmaDto implements Serializable{

	private static final long serialVersionUID = 7339086491340802876L;
	/**
	 * id del arma en la base datos
	 */
	private String idArma;
	/**
	 * serie del arma
	 */
	private String serie;
	/**
	 * clase del arma
	 */
	private String clase;
	/**
	 * Tipo de arma
	 */
	private String tipo;
	/**
	 * Marca del arma
	 */
	private String marca;
	/**
	 * Modelo del arma
	 */
	private String modelo;
	/**
	 * Calibre del arma
	 */
	private String calibre;
	/**
	 * Unidad o medida del arma
	 */
	private String unidadMedidaPeso;
	/**
	 * Longitud arma
	 */
	private String longitud;
	/**
	 * Estado del arma
	 */
	private String estado;
	/**
	 * Cantidad de dicha arma
	 */
	private Integer cantidad;
	/**
	 * Tag asociado al arma
	 */
	private String tagAsociado;
	
	public String getIdArma() {
		return idArma;
	}
	public void setIdArma(String idArma) {
		this.idArma = idArma;
	}
	public String getSerie() {
		return serie;
	}
	public void setSerie(String serie) {
		this.serie = serie;
	}
	public String getClase() {
		return clase;
	}
	public void setClase(String clase) {
		this.clase = clase;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public String getMarca() {
		return marca;
	}
	public void setMarca(String marca) {
		this.marca = marca;
	}
	public String getModelo() {
		return modelo;
	}
	public void setModelo(String modelo) {
		this.modelo = modelo;
	}
	public String getCalibre() {
		return calibre;
	}
	public void setCalibre(String calibre) {
		this.calibre = calibre;
	}
	public String getEstado() {
		return estado;
	}
	public void setEstado(String estado) {
		this.estado = estado;
	}
	public Integer getCantidad() {
		return cantidad;
	}
	public void setCantidad(Integer cantidad) {
		this.cantidad = cantidad;
	}
	public String getUnidadMedidaPeso() {
		return unidadMedidaPeso;
	}
	public void setUnidadMedidaPeso(String unidadMedidaPeso) {
		this.unidadMedidaPeso = unidadMedidaPeso;
	}
	public String getLongitud() {
		return longitud;
	}
	public void setLongitud(String longitud) {
		this.longitud = longitud;
	}
	public String getTagAsociado() {
		return tagAsociado;
	}
	public void setTagAsociado(String tagAsociado) {
		this.tagAsociado = tagAsociado;
	}
}
